Bug 976777 - Review Request: nodejs-i2c - Node.js native bindings for i2c-dev
Summary: Review Request: nodejs-i2c - Node.js native bindings for i2c-dev
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 976767
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2013-06-21 12:37 UTC by T.C. Hollingsworth
Modified: 2013-08-01 20:42 UTC (History)
4 users (show)

Fixed In Version: nodejs-i2c-0.1.4-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-27 13:22:34 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-06-21 12:37:49 UTC
Spec: http://patches.fedorapeople.org/node_modules/nodejs-i2c.spec
SRPM: http://patches.fedorapeople.org/node_modules/nodejs-i2c-0.1.3-1.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5527956
FAS:  patches
Description:
Node.js native bindings for i2c-dev.

Plays well with Raspberry Pi and Beaglebone.

Comment 1 Jamie Nguyen 2013-06-21 13:19:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
nodejs-i2c.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/i2c/build/Release/i2c.node 0775L

Needs to be 0755.

You might also consider doing fixdep repl '~0.1.3'.


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "GPL (v2 or later) (with incorrect FSF
     address)", "Unknown or generated". 1 files have unknown license. Detailed
     output of licensecheck in /home/mockbuild/review/nodejs-
     i2c/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-i2c-0.1.3-1.fc20.x86_64.rpm
nodejs-i2c.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-i2c.x86_64: W: spelling-error Summary(en_US) dev -> deb, derv, div
nodejs-i2c.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-i2c.x86_64: W: spelling-error %description -l en_US dev -> deb, derv, div
nodejs-i2c.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/i2c/build/Release/i2c.node 0775L
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/bindings /usr/lib/node_modules/bindings
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/repl /usr/lib/node_modules/repl
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/coffee-script /usr/lib/node_modules/coffee-script
1 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-i2c
nodejs-i2c.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-i2c.x86_64: W: spelling-error Summary(en_US) dev -> deb, derv, div
nodejs-i2c.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-i2c.x86_64: W: spelling-error %description -l en_US dev -> deb, derv, div
nodejs-i2c.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/i2c/build/Release/i2c.node 0775L
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/bindings /usr/lib/node_modules/bindings
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/repl /usr/lib/node_modules/repl
nodejs-i2c.x86_64: W: dangling-symlink /usr/lib/node_modules/i2c/node_modules/coffee-script /usr/lib/node_modules/coffee-script
1 packages and 0 specfiles checked; 1 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-i2c (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nodejs(abi)
    nodejs(engine)
    nodejs(v8-abi)
    npm(bindings)
    npm(coffee-script)
    npm(repl)
    npm(underscore)
    rtld(GNU_HASH)



Provides
--------
nodejs-i2c:
    nodejs-i2c
    nodejs-i2c(x86-64)
    npm(i2c)



Source checksums
----------------
http://registry.npmjs.org/i2c/-/i2c-0.1.3.tgz :
  CHECKSUM(SHA256) this package     : 00a73dc0b321f2f5b51cfb70202065cb3c89e28a69a5ed8ff0b2976b2f20e7ec
  CHECKSUM(SHA256) upstream package : 00a73dc0b321f2f5b51cfb70202065cb3c89e28a69a5ed8ff0b2976b2f20e7ec
https://raw.github.com/tchollingsworth/node-i2c/0985179d03823cab1bf3c5072bf315b22a7171c8/LICENSE :
  CHECKSUM(SHA256) this package     : aaadeeb0a09129793c978fbdc9610b624d4d1b1a7fe3e4d056b683845576326f
  CHECKSUM(SHA256) upstream package : aaadeeb0a09129793c978fbdc9610b624d4d1b1a7fe3e4d056b683845576326f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-i2c-0.1.3-1.fc19.src.rpm

Comment 2 T.C. Hollingsworth 2013-06-26 17:20:12 UTC
Spec: http://patches.fedorapeople.org/node_modules/nodejs-i2c.spec
SRPM: http://patches.fedorapeople.org/node_modules/nodejs-i2c-0.1.3-2.fc19.src.rpm

* Wed Jun 26 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.3-2
- fix permissions on shared object

Comment 3 Jamie Nguyen 2013-06-26 20:10:18 UTC
Package approved!

Comment 4 Jamie Nguyen 2013-06-26 21:36:31 UTC
New Package SCM Request
=======================
Package Name: nodejs-i2c
Short Description: Node.js native bindings for i2c-dev
Owners: patches jamielinux
Branches: f18 f19 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-06-27 11:13:45 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-06-27 13:17:45 UTC
nodejs-i2c-0.1.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-i2c-0.1.3-2.fc19

Comment 7 Fedora Update System 2013-06-27 13:18:28 UTC
nodejs-i2c-0.1.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-i2c-0.1.3-2.fc18

Comment 8 Fedora Update System 2013-06-27 13:19:59 UTC
nodejs-i2c-0.1.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-i2c-0.1.3-2.el6

Comment 9 Fedora Update System 2013-06-27 13:53:41 UTC
nodejs-repl-0.1.3-1.fc19, nodejs-i2c-0.1.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11523/nodejs-i2c-0.1.3-2.fc19,nodejs-repl-0.1.3-1.fc19

Comment 10 Fedora Update System 2013-06-27 13:54:01 UTC
nodejs-repl-0.1.3-1.fc18, nodejs-i2c-0.1.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-11544/nodejs-i2c-0.1.3-2.fc18,nodejs-repl-0.1.3-1.fc18

Comment 11 Fedora Update System 2013-06-27 13:54:16 UTC
nodejs-repl-0.1.3-1.el6, nodejs-i2c-0.1.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10606/nodejs-i2c-0.1.3-2.el6,nodejs-repl-0.1.3-1.el6

Comment 12 Fedora Update System 2013-07-06 00:47:48 UTC
nodejs-repl-0.1.3-1.fc19, nodejs-i2c-0.1.3-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-07-07 01:35:53 UTC
nodejs-repl-0.1.3-1.fc18, nodejs-i2c-0.1.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-07-13 19:57:30 UTC
nodejs-i2c-0.1.4-3.el6,nodejs-repl-0.1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-i2c-0.1.4-3.el6,nodejs-repl-0.1.3-3.el6

Comment 15 Fedora Update System 2013-08-01 20:42:25 UTC
nodejs-i2c-0.1.4-3.el6, nodejs-repl-0.1.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.